PIBOOTCTL-SAVE(1)

NAME
pibootctl-save - pibootctl manual

SYNOPSIS

        pibootctl save [-h] [-f] name

DESCRIPTION

Store the current boot configuration under a given name.

OPTIONS

    name
        The name to save the current boot configuration under; can include any characters legal in a filename

    -h, --help
        Show a brief help page for the command.

    -f, --force
        Overwrite an existing configuration, if one exists

USAGE

The save command is used to take a backup of the current boot configuration. In practice this creates a PKZIP <https://en.wikipedia.org/wiki/Zip_(file_format)> of the files that make up the boot configuration (config.txt et al.), and places it under the configured directory on the boot partition (usually pibootctl):

        $ ls /boot/pibootctl
        $ sudo pibootctl save foo
        $ ls /boot/pibootctl
        foo.zip

Note that by default, you cannot overwrite saved configurations, but this can be overridden with the --force option:

        $ sudo pibootctl save foo
        [Errno 17] File exists: 'foo.zip'
        $ sudo pibootctl save -f foo

In the event that your system is rendered un-bootable, a boot configuration can be easily restored by extracting the PKZIP of a saved configuration into the boot partition (over-writing files as necessary). Alternatively you can use the load command (if the system can boot). The list command can be used to display all currently stored configurations.

AUTHOR
Dave Jones

COPYRIGHT
2019-2020 Dave Jones